Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPInteger

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant
org.apache.commons.compress.harmony.unpack200.bytecode.CPConstantNumber
org.apache.commons.compress.harmony.unpack200.bytecode.CPInteger

public class CPInteger extends CPConstantNumber
Integer constant pool entry.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPInteger(Integer value, int globalIndex)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`
  Writes this instance to the given output stream.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPConstantNumber

  `getNumber`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant

  `equals, getValue, hashCode`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `getNestedClassFileEntries, objectHashCode, resolve, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPInteger

    public CPInteger(Integer value, int globalIndex)
    Constructs a new instance.
    Parameters:
      `value` - The value.
      `globalIndex` - Global index.

- ## Method Details

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Description copied from class: `ConstantPoolEntry`
    Writes this instance to the given output stream.
    Specified by:
      `writeBody` in class `ConstantPoolEntry`
    Parameters:
      `dos` - the output stream.
    Throws:
      `IOException` - if an I/O error occurs.